Description
"ReplyDialog:Choose[1] is selecting the item but not "clicking it" anymore (broke with expansion patch)

I'd guess it's the same, but eq2uipage that uses :HighlightRow[#] does the same thing, only highlights and doesn't click it.

History

#1 - 2019-12-21 05:15 PM - Kannkor

This may or may not be related to the above, or even with this patch.

In game there is a new Ul, where if you left click on something, it highlights, if you double left click, it adds it to a list.
The in-game element is an eq2uipage. | can :LeftClick it, and it highlights it.

If | :DoubleLeftClick, nothing happens at all. I'm not sure | have ever used :DoubleLeftClick anywhere ever, so | can't say it has ever worked or when it
was broke.

#2 - 2019-12-22 12:31 PM - Kannkor
For testing ReplyDialog

Get a crafting writ ( In a GH: Talk to "Guild Hall Rush Order Agent" - On the right in my Guild hall). Just accept any writ, the top one is fine.

Then on the wall (again, on the right) is a clipboard. Click on the clipboard, you will get a pop up box with two options. ReplyDialog:Choose[1] - prior
to expansion this would "click" the top option, now it only highlights it.

The DoubleLeftClick - I'll have to get back to you... The thing we're trying to use it for requires the new expansion.

#3 - 2019-12-23 04:23 AM - Kannkor

Found an example of doubleclicking

In the spell effects window (NOT the maintained window), if you double click on something in there, it opens something (usually examines it,
exception is if you have mail, it will open the mail window)

To test, have a buff on you. Double click on the icon in the spell window, it opens an examine.
Here is sample code to test/reach it.

echo ${EQ2UIPage[ HUD,effects].Child[page, HUD.effects].Child[VolumePage,1].Child[lcon,2]}

Below does nothing
EQ2UIPage[ HUD,effects].Child[page, HUD.effects].Child[VolumePage,1].Child[lcon,2]:DoubleLeftClick

#4 - 2019-12-24 10:04 AM - Amadeus

- Status changed from New to Resolved

The ReplyDialog:Choose method should be working again as of version 20191219.0003. Please make another bug report specific to
DoubleLeftClick if you want me to look into that one for any reason.
